summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorj.r2020-12-29 15:07:46 +0100
committerj.r2020-12-29 15:08:30 +0100
commit085a8b0464776d86e2a12da424b05003896dbce0 (patch)
treeed1b25d87515a202373df6d798cec64fe3c0c077
parent4fcee6dfa9a2ed369fffed4c6f939150dc561473 (diff)
downloadaur-085a8b0464776d86e2a12da424b05003896dbce0.tar.gz
Bump telegram-tg-git to v0.7.0.r3.06f7c5b-3
Adds patch to use be able to use newer python-telegram verions
-rw-r--r--.SRCINFO4
-rw-r--r--0001-Change-setup.py-to-accept-new-python-telegram-ver.patch23
-rw-r--r--PKGBUILD14
3 files changed, 37 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 34c1ffe39df..8e65d6225bc 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = telegram-tg-git
pkgdesc = terminal telegram client that really works
pkgver = v0.7.0.r3.06f7c5b
- pkgrel = 2
+ pkgrel = 3
url = https://github.com/paul-nameless/tg
arch = any
license = Unlicense
@@ -15,7 +15,9 @@ pkgbase = telegram-tg-git
provides = telegram-tg
conflicts = telegram-tg
source = telegram-tg::git+https://github.com/paul-nameless/tg.git
+ source = 0001-Change-setup.py-to-accept-new-python-telegram-ver.patch
md5sums = SKIP
+ md5sums = b5128de4dab3dbe7aaea695ac0a0b1a8
pkgname = telegram-tg-git
diff --git a/0001-Change-setup.py-to-accept-new-python-telegram-ver.patch b/0001-Change-setup.py-to-accept-new-python-telegram-ver.patch
new file mode 100644
index 00000000000..67a0979b37b
--- /dev/null
+++ b/0001-Change-setup.py-to-accept-new-python-telegram-ver.patch
@@ -0,0 +1,23 @@
+From 9d667051c5dc4f60e9ea5e389a7b8bcc15156859 Mon Sep 17 00:00:00 2001
+From: "j.r" <j.r@jugendhacker.de>
+Date: Tue, 29 Dec 2020 14:44:26 +0100
+Subject: [PATCH] Change setup.py to accept new python-telegram ver
+
+---
+ setup.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/setup.py b/setup.py
+index e1aea71..e98daa1 100644
+--- a/setup.py
++++ b/setup.py
+@@ -22,5 +22,5 @@ setup(
+ packages=["tg"],
+ entry_points={"console_scripts": ["tg = tg.__main__:main"]},
+ python_requires=">=3.8",
+- install_requires=["python-telegram==0.12.0"],
++ install_requires=["python-telegram>=0.12.0"],
+ )
+--
+2.29.2
+
diff --git a/PKGBUILD b/PKGBUILD
index 46d31620978..8d2068e31a9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
_pkgname=telegram-tg
pkgname=$_pkgname-git
pkgver=v0.7.0.r3.06f7c5b
-pkgrel=2
+pkgrel=3
pkgdesc="terminal telegram client that really works"
arch=(any)
url="https://github.com/paul-nameless/tg"
@@ -16,8 +16,10 @@ optdepends=(
)
provides=("$_pkgname")
conflicts=("$_pkgname")
-source=("$_pkgname::git+https://github.com/paul-nameless/tg.git")
-md5sums=('SKIP')
+source=("$_pkgname::git+https://github.com/paul-nameless/tg.git"
+ "0001-Change-setup.py-to-accept-new-python-telegram-ver.patch")
+md5sums=('SKIP'
+ 'b5128de4dab3dbe7aaea695ac0a0b1a8')
pkgver() {
cd "$srcdir/$_pkgname"
@@ -28,6 +30,12 @@ pkgver() {
#printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
+prepare() {
+ cd "${srcdir}/${_pkgname}"
+
+ patch -p1 -i ${srcdir}/0001-Change-setup.py-to-accept-new-python-telegram-ver.patch
+}
+
build() {
cd "$srcdir/$_pkgname"